Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(7)

Issue 7812053: [patch] Fix node weight updates during ipa-cp

Can't Edit
Can't Publish+Mail
Start Review
Created:
7 years, 10 months ago by tejohnson
Modified:
6 years, 4 months ago
Reviewers:
richard.guenther, hjl.tools, hubicka
CC:
gcc-patches_gcc.gnu.org
Base URL:
svn+ssh://gcc.gnu.org/svn/gcc/trunk/gcc/
Visibility:
Public.

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+16 lines, -7 lines) Patch
M ipa-cp.c View 2 chunks +16 lines, -7 lines 0 comments Download

Messages

Total messages: 13
tejohnson
I found that the node weight updates on cloned nodes during ipa-cp were leading to ...
7 years, 10 months ago (2013-03-27 17:22:40 UTC) #1
richard.guenther_gmail.com
On Wed, Mar 27, 2013 at 6:22 PM, Teresa Johnson <tejohnson@google.com> wrote: > I found ...
7 years, 10 months ago (2013-03-28 09:27:58 UTC) #2
tejohnson
On Thu, Mar 28, 2013 at 2:27 AM, Richard Biener <richard.guenther@gmail.com> wrote: > On Wed, ...
7 years, 9 months ago (2013-04-05 14:18:36 UTC) #3
richard.guenther_gmail.com
On Fri, Apr 5, 2013 at 4:18 PM, Teresa Johnson <tejohnson@google.com> wrote: > On Thu, ...
7 years, 9 months ago (2013-04-08 08:52:24 UTC) #4
hubicka_ucw.cz
> On Wed, Mar 27, 2013 at 6:22 PM, Teresa Johnson <tejohnson@google.com> wrote: > > ...
7 years, 9 months ago (2013-04-22 17:27:35 UTC) #5
tejohnson
Hi Honza, I converted all other weight update locations to use the helper functions in ...
7 years, 9 months ago (2013-04-22 17:38:28 UTC) #6
hjl.tools_gmail.com
On Fri, Apr 5, 2013 at 7:18 AM, Teresa Johnson <tejohnson@google.com> wrote: > On Thu, ...
7 years, 9 months ago (2013-04-25 22:29:51 UTC) #7
tejohnson
I'll take a look. Teresa On Thu, Apr 25, 2013 at 3:29 PM, H.J. Lu ...
7 years, 9 months ago (2013-04-25 22:34:29 UTC) #8
tejohnson
Reproduced. This looks like another instance of a case I found testing my follow-on patch: ...
7 years, 9 months ago (2013-04-26 05:19:48 UTC) #9
tejohnson
FYI, Fixed in r198416. Thanks, Teresa On Thu, Apr 25, 2013 at 10:19 PM, Teresa ...
7 years, 9 months ago (2013-04-29 17:31:28 UTC) #10
hjl.tools_gmail.com
On Mon, Apr 29, 2013 at 10:31 AM, Teresa Johnson <tejohnson@google.com> wrote: > FYI, Fixed ...
7 years, 9 months ago (2013-04-29 19:35:32 UTC) #11
tejohnson
On Mon, Apr 29, 2013 at 12:35 PM, H.J. Lu <hjl.tools@gmail.com> wrote: > On Mon, ...
7 years, 9 months ago (2013-04-30 14:02:59 UTC) #12
hjl.tools_gmail.com
7 years, 9 months ago (2013-04-30 15:50:46 UTC) #13
On Tue, Apr 30, 2013 at 7:02 AM, Teresa Johnson <tejohnson@google.com> wrote:
> On Mon, Apr 29, 2013 at 12:35 PM, H.J. Lu <hjl.tools@gmail.com> wrote:
>> On Mon, Apr 29, 2013 at 10:31 AM, Teresa Johnson <tejohnson@google.com>
wrote:
>>> FYI, Fixed in r198416.
>>>
>>> Thanks,
>>> Teresa
>>>
>>
>> I noticed that sometimes GCC generates:
>>
>> _8 = memcpy (ret_6, s_2(D), len_4);
>> _8 = memcpy (ret_6, s_2(D), len_4);
>> memcpy (_17, buffer_12(D), add_16);
>> memcpy (_17, buffer_12(D), add_16);
>> memcpy (_25, _28, _27);
>> memcpy (_25, _28, _27);
>> memcpy (_39, buffer_2, len_4);
>> memcpy (_39, buffer_2, len_4);
>> memcpy (_16, &fillbuf, pad_1);
>> memcpy (_16, &fillbuf, pad_1);
>
> I am getting this too with a profiledbootstrap with LTO. However, this
> isn't due to my changes. I had confirmed that after reverting my
> changes (r197595 and now the follow-on fix r198416) this problem still
> occurs.
>
> Teresa

There is a strayed debug_gimple_stmt.  I am checking in this
patch to fix it.

--
H.J.
---
diff --git a/gcc/value-prof.c b/gcc/value-prof.c
index 3348d7f..b665b1c 100644
--- a/gcc/value-prof.c
+++ b/gcc/value-prof.c
@@ -416,7 +416,6 @@ stream_in_histogram_value (struct lto_input_block
*ib, gimple stmt)
       new_val->n_counters = ncounters;
       for (i = 0; i < ncounters; i++)
     new_val->hvalue.counters[i] = streamer_read_gcov_count (ib);
-      debug_gimple_stmt (stmt);
       if (!next_p)
     gimple_add_histogram_value (cfun, stmt, new_val);
       else
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b